/*
 * ==================================================
 * https://imgplay.eu.teamwork.com/app/tasks/15073269
 * https://imgplay.eu.teamwork.com/app/tasks/15076509
 */

.listItemLiveTitleGrey .newStyle,
.listItemLiveTitleSmall .newStyle,
.listItemLiveTitleToday .newStyle,
.listItemLiveTitle .newStyle,
.listItemODTitle .newStyle {
    display: flex;
    justify-content: space-between;
}

.listItemLiveTitleGrey div.newStyle,
.listItemLiveTitleSmall div.newStyle,
.listItemLiveTitleToday div.newStyle,
.listItemLiveTitle div.newStyle,
.listItemODTitle div.newStyle {
    align-items: stretch;
}

.listItemLiveTitleGrey h2,
.listItemLiveTitleSmall h2,
.listItemLiveTitleToday h2,
.listItemLiveTitle h2,
.listItemODTitle h2 {
    font-size: inherit;
    font-weight: inherit;
    margin: 0;
    display: flex;
}

.listItemLiveTitleGrey .newStyle,
.listItemLiveTitleSmall .newStyle,
.listItemLiveTitle h2,
.listItemODTitle h2 {
    min-height: 128px;
    position: relative; /* Add position relative to establish containing block */
}

.listItemLiveTitleGrey .newStyle::before,
.listItemLiveTitleSmall .newStyle::before,
.listItemLiveTitle h2::before,
.listItemODTitle h2::before {
    content: '';
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    width: 90px;
    height: 90px;
    background-image: url('/img/icons/arrow_right_grey.svg');
    background-size: contain;
    background-repeat: no-repeat;
}

.listItemLiveTitleGrey a,
.listItemLiveTitleSmall a,
.listItemLiveTitleToday a,
.listItemLiveTitle a,
.listItemODTitle a {
    color: inherit;
    display: flex;
    align-items: center;
}

.listItemLiveTitleGrey h2 a,
.listItemLiveTitleSmall h2 a,
.listItemLiveTitleToday h2 a,
.listItemLiveTitle h2 a,
.listItemODTitle h2 a {
    flex-grow: 1;
    word-break: break-word;
}

/* -------------------------------
 * List items with reminder button */

.listItemLiveTitleGrey .newStyle h2,
.listItemLiveTitleSmall .newStyle h2 {
    flex-grow: 1;
}

.listItemLiveTitleGrey .newStyleRemind,
.listItemLiveTitleSmall .newStyleRemind {
    margin-right: 70px;
}

.newStyleRemind .bellRemind {
    width: 72px;
    height: 72px;
    background-image: url('/img/icons/klokke_grey.svg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    filter: brightness(0) saturate(100%) invert(38%) sepia(0%) saturate(0%) hue-rotate(101deg) brightness(95%) contrast(88%);
}

h3 {
    font-weight: bold;
    font-size: 2.3rem;
}

/*
 * ==================================================
 * https://imgplay.eu.teamwork.com/app/tasks/15076477
 */

.listItemLiveTitle_Player h1,
.listItemLiveTitle_PlayerGrey h1,
.listItemODTitle_Player h1 {
    font-size: inherit;
    font-weight: inherit;
    margin: inherit;
}

/*
 * ==================================================
 * https://imgplay.eu.teamwork.com/app/tasks/15076509
 */

#mftMeetingsFutureHeadlineInnerFirst h1,
#mftMeetingsPreviousHeadlineInnerFirst h1,
#mftMeetingsTodayHeadlineInnerFirst h1,
#mftMeetingsFutureHeadlineInner h1,
#mftMeetingsPreviousHeadlineInner h1,
#mftMeetingsTodayHeadlineInner h1 {
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
    margin: 0;
}

/*
 * ==================================================
 * https://imgplay.eu.teamwork.com/app/tasks/15082787
 * https://imgplay.eu.teamwork.com/app/tasks/15082802
 * https://imgplay.eu.teamwork.com/app/tasks/15082822
 * https://imgplay.eu.teamwork.com/app/tasks/15082832
 * https://imgplay.eu.teamwork.com/app/tasks/15082870
 */

.liveMeetingsButton,
.liveMeetingsButton:active,
.liveMeetingsButton:hover,
.liveMeetingsButton:link,
.odMeetingsButton,
.odMeetingsButton:active,
.odMeetingsButton:hover,
.odMeetingsButton:link {
    background: #6b6b6b;
}

.liveMeetingsButtonSelected,
.liveMeetingsButtonSelected:active,
.liveMeetingsButtonSelected:hover,
.liveMeetingsButtonSelected:link,
.odMeetingsButtonSelected,
.odMeetingsButtonSelected:active,
.odMeetingsButtonSelected:hover,
.odMeetingsButtonSelected:link {
    background: #008567;
}

.listItemLiveTitle_PlayerGrey,
.listItemLiveTitle_Player,
.listItemLiveTitleGrey,
.listItemLiveTitleSmall,
.listItemLiveTitleToday,
.listItemLiveTitle,
.listItemODTitle_Player,
.listItemODTitle {
    color: #5f5f5f;
    opacity: 1;
    filter: unset;
}

.listItemLiveTitle_PlayerGrey,
.listItemLiveTitle_Player,
.listItemLiveTitleSmall,
.listItemLiveTitleToday,
.listItemODTitle_Player,
.listItemODTitle {
    background: #d1e2de;
}

.listItemLiveTitle {
    /* #d1e2de, 90% opacity */
    background: rgba(209, 226, 222, 0.9);
}

.listItemLiveTitleGrey .newStyleRemind img,
.listItemLiveTitleGrey a:last-child img,
.listItemLiveTitleSmall a:last-child img,
.listItemLiveTitleToday a:last-child img,
.listItemLiveTitle a:last-child img,
.listItemODTitle a:last-child img,
.embedCoverBellRemindSite img {
    /* Change color of SVGs to #5f5f5f */
    /* https://stackoverflow.com/a/53336754 */
    filter: brightness(0) saturate(100%) invert(38%) sepia(0%) saturate(0%) hue-rotate(101deg) brightness(95%) contrast(88%);
}

#coverRemindTd {
    background: #d1e2de;
    padding: 24px;
}

.embedCoverTextRemindSite {
    color: #5f5f5f;
}

input[type=text]::placeholder {
    color: #6b6b6b;
    opacity: 1;
}

.moreResults {
    color: #a6192e;
}

/*
 * ==================================================
 * https://imgplay.eu.teamwork.com/app/tasks/15088509
 */

#mftLivePlayerListItemBoxInner a.gonative {
    display: block;
    margin-left: 32px;
    position: relative;
}

#mftLivePlayerListItemBoxInner a.gonative img:last-child {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 110px;
    height: 110px;
}

/*
 * ==================================================
 * WCAG 2.4.7 De forskellige elementer skal vise tastaturfokus, når man tab'er ned gennem sider
 * https://imgplay.eu.teamwork.com/app/tasks/15089201
 */

a:focus {
    outline-offset: 5px;
}

.newStyle:focus, .newStyle>h2>a:focus {
    outline-offset: 0px;
}

:focus-visible {
    outline: -webkit-focus-ring-color auto 1px;
}

.listItemLiveTitle, .listItemLiveTitleGrey, .listItemODTitle, .listItemLiveTitleToday, .listItemLiveTitleGrey span>.shl, .listItemLiveTitle span>.shl {
    padding-left: 0;
}

.listItemLiveTitle span, .listItemLiveTitleGrey span, .newStyle>h2>a, .listItemODTitle a  {
    padding-left: 16px;
    padding-right: 100px;
}

.listItemLiveTitleGrey a {
    padding-right: 10px !important;
}

/*
 * ==================================================
 * Social bar under videoen
 */

#shareBar {
    font-size: 2rem;
}

#shareOffsetToggle {
    position: relative;
    display: block;
    width: 60px;
    height: 100px;
    background-image: url('/img/icons/checkbox_grey_empty.svg');
    background-size: 84%;
    background-position: center left;
    background-repeat: no-repeat;
    filter: brightness(0) saturate(100%) invert(38%) sepia(0%) saturate(0%) hue-rotate(101deg) brightness(95%) contrast(88%);
}
#shareOffsetToggle.checked {
    background-image: url('/img/icons/checkbox_grey_check.svg');
    background-size: 100%;
    background-position: left 46%;
}

#shareBar input {
	text-align: center;
	width: 2.5em;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	border-radius: 0px;
	border: 1px solid #717376;
	min-height: 50px;
	font-size: 2rem;
}

.socialIcons:hover, .socialIcons:focus, .socialIcons:focus-visible {
    filter: invert(42%) sepia(18%) saturate(2310%) hue-rotate(120deg) brightness(88%) contrast(98%);
}

.socialIcons {
    position: relative;
    display: block;
    width: 100px;
    height: 100px;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}
